libetonyek::IWORKFilteredImageElement Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::IWORKFilteredImageElement Class Reference

`#include <IWORKFilteredImageElement.h>`

Inheritance diagram for libetonyek::IWORKFilteredImageElement:

## Public Member Functions
| IWORKFilteredImageElement (IWORKXMLParserState &state, IWORKMediaContentPtr_t &content)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
| IWORKXMLContextBase (IWORKXMLParserState &state)
| IWORKXMLContextBase (IWORKXMLParserState &state, const T &a)
IWORKXMLParserState & | getState ()
| IWORKXMLContextBase (IWORKXMLParserState &state)
| IWORKXMLContextBase (IWORKXMLParserState &state, const T &a)
IWORKXMLParserState & | getState ()
Public Member Functions inherited from libetonyek::IWORKXMLContext
virtual | ~IWORKXMLContext ()=0
virtual void | CDATA (const char *value)
| Process CDATA content of an element.

## Private Member Functions
IWORKXMLContextPtr_t | element (int name) override
| Create a context for parsing a child element.
void | endOfElement () override
| Signalize the end of an element.

## Private Attributes
IWORKMediaContentPtr_t & | m_content
boost::optional< ID_t > | m_unfilteredId
IWORKMediaContentPtr_t | m_unfiltered
IWORKMediaContentPtr_t | m_filtered
IWORKMediaContentPtr_t | m_leveled

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
IWORKCollector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
IWORKCollector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Member Functions inherited from libetonyek::IWORKXMLContextElement
| IWORKXMLContextElement (IWORKXMLParserState &)
void | attribute (int name, const char *value) override
| Process an attribute.
void | text (const char *value) override
| Process textual content of an element.
const boost::optional< ID_t > & | getId () const
void | setId (const char *value)
Protected Member Functions inherited from libetonyek::IWORKXMLContextMinimal
| IWORKXMLContextMinimal ()
void | startOfElement () override
| Signalize the start of an element.
void | endOfElement () override
| Signalize the end of an element.
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
IWORKXMLParserState & | m_state
IWORKXMLParserState & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKFilteredImageElement()

libetonyek::IWORKFilteredImageElement::IWORKFilteredImageElement | ( | IWORKXMLParserState & | state,
|  | IWORKMediaContentPtr_t & | content )

## Member Function Documentation

## ◆ element()

IWORKXMLContextPtr_t libetonyek::IWORKFilteredImageElement::element | ( | int | name | ) |
| overrideprivatevirtual

Create a context for parsing a child element.

Returns
  A new context or an empty pointer if the child element cannot be handled.

Implements libetonyek::IWORKXMLContext.

## ◆ endOfElement()

void libetonyek::IWORKFilteredImageElement::endOfElement | ( |  | ) |
| overrideprivatevirtual

Signalize the end of an element.

Implements libetonyek::IWORKXMLContext.

## Member Data Documentation

## ◆ m_content

IWORKMediaContentPtr_t& libetonyek::IWORKFilteredImageElement::m_content
| private

Referenced by endOfElement(), and IWORKFilteredImageElement().

## ◆ m_filtered

IWORKMediaContentPtr_t libetonyek::IWORKFilteredImageElement::m_filtered
| private

Referenced by element(), endOfElement(), and IWORKFilteredImageElement().

## ◆ m_leveled

IWORKMediaContentPtr_t libetonyek::IWORKFilteredImageElement::m_leveled
| private

Referenced by element(), endOfElement(), and IWORKFilteredImageElement().

## ◆ m_unfiltered

IWORKMediaContentPtr_t libetonyek::IWORKFilteredImageElement::m_unfiltered
| private

Referenced by element(), endOfElement(), and IWORKFilteredImageElement().

## ◆ m_unfilteredId

boost::optional<ID_t> libetonyek::IWORKFilteredImageElement::m_unfilteredId
| private

Referenced by element(), endOfElement(), and IWORKFilteredImageElement().

The documentation for this class was generated from the following files:

- IWORKFilteredImageElement.h
- IWORKFilteredImageElement.cpp